<?php

/**
 * @file
 * Describes methods to change Show, Season, and Episode nodes before saving.
 */

/**
 * Example of how to alter a show node before it is created/updated.
 *
 * One way is to implement hook_entity_presave().
 */
function my_module_entity_presave(\Drupal\Core\Entity\EntityInterface $entity) {

  /** @var \Drupal\Core\Config\ConfigFactoryInterface $config_factory */
  $config_factory = \Drupal::configFactory();
  $config = $config_factory->get('pbs_media_manager.settings');
  $show_type = $config->get('shows.drupal_show_content');

  // In this example, the "Local Content" boolean field is set to TRUE if the
  // the value of attributes->audience->attributes->call_sign in Media Manager
  // is "WGTV".
  if ($entity->bundle() == $show_type &&
    !empty($entity->get('field_call_sign')->getValue())) {
    $call_sign = $entity->get('field_call_sign')->getValue();
    if ($call_sign[0]['value'] == "WGTV") {
      $entity->set('field_local_content', TRUE);
    }
  }

}
